/*
  g_main protos 

  g_main.h

*/

#ifndef __g_main
#define __g_main

typedef struct {
    unsigned char x,r,g,b;
    } rgb18;

typedef struct {
    unsigned char x,r,g,b;
    } rgb24;

typedef struct
{
  int x;
  int y;
  int bpp;
  long *pal;
  long *origpal;

  char *data;
} cbitmap;

void    g_init(void);
void    g_shutdown(void); 
void    g_update(rgb18 *    );     // update effect screen (160x128 scaled to 320x128)

extern int exitflag;    // wenn TRUE, muss die demo verlassen werden

#endif

